%{?drupal7_find_provides_and_requires}

%global module schemaorg

Name:          drupal7-%{module}
Version:       0.91
Release:       1%{?dist}
Summary:       Drop-in solution to enable the collections of schemas available at schema.org

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
# Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-1.0-rc1.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
This project is a drop-in solution to enable the collections of schemas
available at schema.org on your Drupal 7 site. The major search engines
including Bing, Google and Yahoo! have agreed to recognized these in
order to improve the display of search results.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Apr  8 2017 J. Randall Owens <jrowens@ghiapet.net> - 0.91-1
- Initial package

